# Google Docs QRIfy

This project looks for instances of `<<QR>>` within a Google Doc and replaces them with that Google Doc's URL as a QR code.

## Setup
Before use, you will need to copy the `_Config.gs` file and rename the copy to `Config.gs`.

Inside the Config.gs file, you need to add your private API token from: [https://app.qr-code-generator.com/api/](https://app.qr-code-generator.com/api/).

Once you have obtained your API token, add it to the Config.gs file like so:


`var token = "YOUR_API_TOKEN_HERE"; //Variable is global`

## Usage

To use the QR Code Generator, first open your Google Doc and go to the menu at the top. Select "Extension" and then "QR". From the dropdown menu, select "Replace `<<QR>>` with QR Code". This will replace any instances of `<<QR>>` within the Google Doc with a QR code containing the URL of the current Google Doc.